Bug 80581 - VIEWING: Vertical zoom factor change different from horizontal one
Summary: VIEWING: Vertical zoom factor change different from horizontal one
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Zoom-Issues
  Show dependency treegraph
 
Reported: 2014-06-27 05:38 UTC by Bugcruncher
Modified: 2018-04-30 20:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Document for your own tests (20.35 KB, application/vnd.sun.xml.calc)
2014-06-27 05:38 UTC, Bugcruncher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bugcruncher 2014-06-27 05:38:53 UTC
Created attachment 101837 [details]
Document for your own tests

Problem description: 
In sheets with extreme small row hight of column width horizontal zoom factor is bigger than vertical one

Steps to reproduce:
1. Open Sample document
2. change zoom factor from 200% to 50% in all 3 sheets
   Compare x/y width ratio for shapes and merged cells

Bug: 
In sheets "smallwidth" and "smallhight" view the shapes will become compressed horizontally
For extreme zoom levels the distortion of the merged cells area might differ from result for shapes: For zooms 100% and 50% in sheet "normalwidth" the distortion of merged cells area follows distortion of shapes (shown too narrow, becomes a square with x/y width = 1 more and more), but for zoom 25% and smaller the merged cells x/y becomes smaller again.
It seems that the effect only appears in sheets with extreme small pow hight or column width.

Strange side effect, migt be related or might be not:
If I click A16 in "smallwidth" (zoom 200%) and type an "a" (= cell edit mode), the caret and the "a" appear somewhere at A5. I do not know whether that problem is realated.
Operating System: Windows 7
Version: 4.2.4.2 release
Comment 1 Ken Biondi 2014-07-27 15:41:45 UTC
I confirmed this using:

x86-64
WIN 8
Version: 4.2.5.2
Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5
Comment 2 QA Administrators 2015-09-04 02:48:23 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-11-19 09:01:15 UTC
Still confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 66d2b72667792cb18b25805387824d636e2a455c
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-18_02:35:53
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2017-01-03 19:36:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103